# Update Endpoint - UpdateSharePointSyncTargetById

Updates SharePoint sync target with provided id.

# HTTP Request

One of the following requests should be made:

PUT /odata/sharepointsynctargets({key})
PUT /odata/sharepointsynctargets/{key}

# Path parameters

Name Description
key required. Id of sync job sharepoint sync target that should be updated.

# Query parameters

Name Description
repository optional. Destination repository key.

# Request headers

Name Description
Authorization required. Bearer {token}. See authorization
Content-Type required. application/json

# Request body

Information

Only properties with new values need to be specified, unmodified properties are optional and can be skipped.

Information

If readonly properties are specified the response will always be a 400 Bad Request error.

# Responses

Code Description Type
200 If the update of SharePoint sync target was successful. SharepointSyncTargetEntity
400 If provided request data is invalid.
500 When an server error occurs during the update of SharePoint sync target.

# Example

# Request

The following is an example of how to call the endpoint:

PUT /odata/sharepointsynctargets(1)?repository=repo1
Content-Type: application/json

{
    "thirdSystemSyncTargetId": "Id des Objekts dessen Daten aktualisiert werden sollen.",
    "siteName": "Name der Sharepointseite, der gesetzt werden soll.",
    "siteId": "ID der Sharepointseite, die gesetzt werden soll.",
    //... 
}

# Response

The following example shows the response:

Information

The response object is truncated for clarity. Default properties will be returned from the call.

{
    "thirdSystemSyncTargetId": 2,
    "folderName": "DriveMe",
    "folderId": "14535"
}
Zuletzt aktualisiert: 7. Februar 2025 um 08:35